sv-benchmarks main:
  config: --predicateAnalysis-threadmodular
  setprop: 
    - "limits.time.cpu=900s"
    - "shutdown.timeout=1000"
    - "cpa.thread.handleSameThreads=SUPPORT"
  spec: sv-comp-reachability
  benchmarks:
    - ldv-races/*.i
    - pthread/*.i
    - pthread-atomic/*.i
    - pthread-ext/*.i
    - pthread-lit/*.i
    - pthread-nondet/*.i
    - pthread-driver-races/*.i
  verdicts: ci-config/sv-benchmarks-verdicts.yml
  parallel: true
  prefix: /opt/sv-benchmarks/
sv-benchmarks ldv:
  extends: sv-benchmarks main
  benchmarks: 
    - ldv-linux-3.14-races/*.i
sv-benchmarks pthread:
  extends: sv-benchmarks main
  benchmarks: 
    - pthread-driver-races/*.i